Name: gpgme
Version: 1.1.2
Release: alt0.1.M24
#define cvsdate 20020829

%define min_gnupg_version 1.9.6

Summary: GnuPG Made Easy!
License: GPL
Group: System/Libraries
URL: http://www.gnupg.org/related_software/gpgme/index.html

%ifdef cvsdate
Source: %name-%cvsdate.tar.bz2
%else
Source: ftp://ftp.gnupg.org/gcrypt/%name/%name-%version.tar.bz2
%endif

Patch1: %name-0.3.9-alt-aclocal.patch
Patch2: %name-0.3.16-fix-select-status.patch
Patch3: gpgme-info.patch

Requires: gnupg2 >= %min_gnupg_version
BuildPreReq: gnupg2 >= %min_gnupg_version

%ifdef cvsdate
BuildPreReq: autoconf_2.5 >= 2.57
BuildPreReq: automake_1.7
%endif

%def_disable static
%{?_enable_static:BuildPreReq: glibc-devel-static}

# Automatically added by buildreq on Mon Oct 11 2004 (-bi)
#BuildRequires: gcc-c++ gcc-g77 gnupg gnupg2 libgpg-error-devel libpth-devel libstdc++-devel python-base python-modules-compiler python-modules-encodings rpm-build-python
BuildRequires: gcc-c++ gnupg2 libgpg-error-devel libpth-devel libstdc++-devel

%package -n lib%{name}1
Summary: GnuPG Made Easy!
Group: System/Libraries
Requires: gnupg2 >= %min_gnupg_version

%package -n lib%{name}1-devel
Summary: Include files for development with GPGME
Group: System/Libraries
Requires: lib%{name}1 = %version-%release

%package -n lib%{name}1-devel-static
Summary: Static libraries for development with GPGME
Group: System/Libraries
Requires: lib%{name}1-devel = %version-%release

%description
GnuPG Made Easy (GPGME) is a library designed to make access to GnuPG easier
for applications. It provides a High-Level Crypto API for encryption,
decryption, signing, signature verification and key management.

%description -n lib%{name}1
GnuPG Made Easy (GPGME) is a library designed to make access to GnuPG easier
for applications. It provides a High-Level Crypto API for encryption,
decryption, signing, signature verification and key management.

%description -n lib%{name}1-devel
GnuPG Made Easy (GPGME) is a library designed to make access to GnuPG easier
for applications. It provides a High-Level Crypto API for encryption,
decryption, signing, signature verification and key management.

This package contains include files required for development of GPGME-based
applications.

%description -n lib%{name}1-devel-static
GnuPG Made Easy (GPGME) is a library designed to make access to GnuPG easier
for applications. It provides a High-Level Crypto API for encryption,
decryption, signing, signature verification and key management.

This package contains static libraries required for development of GPGME-based
statically linked applications.

%prep
%setup -q %{?cvsdate: -n %name }
%patch1 -p1
#%patch2 -p1
%patch3 -p1

%ifdef cvsdate
aclocal-1.7
autoheader_2.5
automake-1.7 --gnu --add-missing --copy
autoconf_2.5
%endif

%build
mkdir -p tmp_bin
ln -sf /usr/bin/gpg2 tmp_bin/gpg
export PATH=$PWD/tmp_bin:$PATH

%{?!_enable_static:export lt_cv_prog_cc_static_works=no}
# --enable-maintainer-mode is required to generate the info file
# when building from CVS snapshot
%configure \
	%{?cvsdate: --enable-maintainer-mode } \
	%{subst_enable static} \
	--with-gpg=/usr/bin/gpg2 \
	--with-gpgsm=/usr/bin/gpgsm

%make_build
#%make check

%install
%makeinstall

%post -n lib%{name}1 -p %post_ldconfig
%postun -n lib%{name}1 -p %postun_ldconfig

%post -n lib%{name}1-devel
%install_info %name.info

%preun -n lib%{name}1-devel
%uninstall_info %name.info

%files -n lib%{name}1
%_libdir/*.so.*
%doc AUTHORS NEWS README THANKS TODO ChangeLog

%files -n lib%{name}1-devel
%_bindir/*
%_includedir/*.h
%_libdir/*.so
%_datadir/aclocal/*.m4
%_infodir/%name.info*

%if_enabled static
%files -n lib%{name}1-devel-static
%_libdir/*.a
%endif

%changelog
* Tue Mar 28 2006 Sergey V Turchin <zerg at altlinux dot org> 1.1.2-alt0.1.M24
- new version

* Mon Feb 20 2006 Sergey V Turchin <zerg at altlinux dot org> 1.1.0-alt0.1.M24
- new version

* Fri Oct 28 2005 Zerg <zerg at altlinux dot ru> 1.0.3-alt0.1.M24
- built for M24

* Tue Jun 21 2005 Sergey V Turchin <zerg at altlinux dot org> 1.0.3-alt1
- new version

* Wed Jun 01 2005 Sergey V Turchin <zerg at altlinux dot org> 1.0.2-alt1
- new version

* Mon Oct 25 2004 Sergey V Turchin <zerg at altlinux dot org> 1.0.1-alt1
- new version

* Mon Oct 11 2004 Sergey V Turchin <zerg at altlinux dot org> 1.0.0-alt1
- new version

* Thu Aug 26 2004 Sergey Vlasov <vsu@altlinux.ru> 0.3.16-alt2
- Added gpgme-0.3.16-fix-select-status.patch: fix hang in tests/gpg/t-edit (the
  event loop was remembering that the fd was ready even after
  rungpg.c:read_status() had flushed it).
- Updated BuildRequires.

* Fri Dec 12 2003 Sergey Vlasov <vsu@altlinux.ru> 0.3.16-alt1
- 0.3.16 release:
  * Compatibility fixes for GnuPG 1.9.x
- Do not package static libraries by default.
- Removed *.la files.
- Updated BuildRequires.

* Thu May 29 2003 Sergey Vlasov <vsu@altlinux.ru> 0.3.15-alt1
- 0.3.15 release.
- Build with libpth support (does not introduce new dependencies for the
  binary package - thread library is detected using weak symbols).
- Build with gpgsm support (but the dependency to newpg is not added -
  the application/library package which links to libgpgme and uses the
  gpgsm features must have this dependency).

* Fri Feb 07 2003 Sergey Vlasov <vsu@altlinux.ru> 0.3.14-alt2
- Updated URL (#1656) and source location.
- Removed patch to set minimum required GnuPG version to 1.0.7.
  Now GnuPG >= 1.2.0 is required.

* Fri Feb 07 2003 Sergey V Turchin <zerg@altlinux.ru> 0.3.14-alt1
- new version

* Sun Oct 27 2002 Sergey Vlasov <vsu@altlinux.ru> 0.3.12-alt1
- 0.3.12 release.
- Patch to set minimum required GnuPG version to 1.0.7
  (I don't see any changes which would require GnuPG 1.2.0).
- Added "make check" to make sure the library really works.

* Thu Aug 29 2002 Sergey Vlasov <vsu@altlinux.ru> 0.3.10-alt0.1
- Version from CVS 20020829 (bug with child process handling was fixed).
- Removed gnupg requires from *-devel.
- More specfile cleanup.
- Patch to backport gpgme.m4 to old autoconf (removed AC_HELP_STRING).

* Mon Sep 17 2001 Sergey Vlasov <vsu@altlinux.ru> 0.2.3-alt1
- 0.2.3

* Tue Apr 10 2001 Dmitry V. Levin <ldv@altlinux.ru> 0.2.1-alt1
- 0.2.1
- Moved static libraries to devel-static subpackage.
- Specfile cleanup.

* Mon Feb 19 2001 AEN <aen@logic.ru>
- first build for Sisyphus
